import { body, headline, textSans, titlepiece } from "./typography/api";
import { bodySizes, fontMapping, fontWeightMapping, headlineSizes, lineHeightMapping, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from "./typography/data";
export { descriptionId } from "./accessibility/description-id";
export { focusHalo } from "./accessibility/focus-halo";
export { generateSourceId } from "./accessibility/generate-source-id";
export { visuallyHidden } from "./accessibility/visually-hidden";
export { transitions } from "./animation/transitions";
export type { Breakpoint, breakpoints } from "./breakpoints/breakpoints";
export { between, from, until } from "./mq/mq";
export { palette, brand, brandAlt, neutral, error, success, news, opinion, sport, culture, lifestyle, labs, specialReport, focus, background, brandBackground, brandAltBackground, border, brandBorder, brandAltBorder, line, brandLine, brandAltLine, text, brandText, brandAltText } from "./colour/palette";
export { height, iconSize, remHeight, remWidth, size, width } from "./size/size";
export { space, remSpace } from "./space/space";
export { titlepiece, headline, body, textSans, titlepieceSizes, headlineSizes, bodySizes, textSansSizes, remTitlepieceSizes, remHeadlineSizes, remBodySizes, remTextSansSizes, fontMapping as fonts, fontWeightMapping as fontWeights, lineHeightMapping as lineHeights } from "./typography/index";
export { body as bodyObjectStyles, headline as headlineObjectStyles, textSans as textSansObjectStyles, titlepiece as titlepieceObjectStyles };
export type { ScaleUnit, Category, LineHeight, FontWeight, FontStyle, FontWeightDefinition, Option, TypographyStyles, TypographySizes, TitlepieceSizes, HeadlineSizes, BodySizes, TextSansSizes, Fs, FontScaleFunction, FontScaleFunctionStr, FontScaleArgs } from "./types-2d847626";
export { appearance } from "./utils/supports-queries";
export { FocusStyleManager } from "./accessibility/focus-style-manager";
export { pxToRem, rootPixelFontSize } from "./utils/px-to-rem";
export { resets } from "./utils/resets";
export { svgBackgroundImage } from "./utils/svg-background-image";
//# sourceMappingURL=index.d.ts.map